package com.ann.demo.service;

import com.ann.demo.entity.interfaceEntity.ArchiveMaster;

import java.util.List;

/**
 * @Author: LeiJiaXin
 * @Date: 2019/7/11 20:53
 */
public interface ArchiveMasterService {

    public void save(ArchiveMaster archiveMaster);

    public String findArchiveMasterId(String patientId, String visitId, String inpNo);

    // 修改患者入院状态
    public void updateArchiveMasterValid(String archiveMasterId);

    // 转科
    public void transferDepartment(ArchiveMaster archiveMaster);

    // 出院
    public void discharge(ArchiveMaster archiveMaster);

    public ArchiveMaster findByInpNoAndVisitIdAndIsValid(String inpNo, String visitId) throws Exception;

    public ArchiveMaster findByPatientIdAndVisitIdAndIsValid(String inpNo, String visitId) throws Exception;

    // 病案首页定时器，查询所有归档
    public List<ArchiveMaster> findAllArchiveMaster();

    boolean updateCheckedDatetime(String id);

    // 2020-5-11 更新患者信息
    boolean updateArchiveMaster(ArchiveMaster archiveMaster);
}
